Bug 27606 - MasterDetailPage Detail is interactive even when Master is open when in Landscape
Summary: MasterDetailPage Detail is interactive even when Master is open when in Lands...
Status: VERIFIED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: Forms (show other bugs)
Version: 1.3.5
Hardware: PC Mac OS
: Normal normal
Target Milestone: ---
Assignee: Seth Rosetter
URL:
Depends on:
Blocks:
 
Reported: 2015-03-03 13:50 UTC by John Miller [MSFT]
Modified: 2015-06-19 10:40 UTC (History)
8 users (show)

Tags: android functional
Is this bug a regression?: ---
Last known good build:


Attachments
Test Case (4.42 MB, application/zip)
2015-03-03 13:50 UTC, John Miller [MSFT]
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description John Miller [MSFT] 2015-03-03 13:50:59 UTC
Created attachment 10127 [details]
Test Case

**Overview:**

   The Detail page of a MasterDetailPage is still touchable/etc while the Master is presented in Landscape orientation.

**Steps to Reproduce:**

   1. Run the attached sample on an Android simulator (in Landscape)
   2. Press the icon to open the Master page
   3. Touch the area with the Detail page is and it will still be interactive while the Master is open

**Actual Results:**

   Detail is still touchable.

**Expected Results:**

   Detail should not be interactive while Master is presented

**Build Date & Platform:**

   XF 1.3.4
   XF 1.3.5

**Additional Information:**

   The Detail is not interactive while in Portrait orientation.
Comment 1 asimk 2015-03-05 05:41:14 UTC
I have checked this issue with the help of sample app attached in bug description and I am not sure which icon should I press to open Master Page as I am not able to see any icon on the launched page.
Please review the screencast and let us know what additional step we need to follow to reproduce this issue.
Screencast: http://www.screencast.com/t/3WUYeCPRxW

Environment Info:
=== Xamarin Studio ===

Version 5.7.2 (build 8)
Installation UUID: 67eaf3b4-f8a7-4ab4-a9df-3197350ca5dc
Runtime:
	Mono 3.12.0 ((detached/6235202)
	GTK+ 2.24.23 (Raleigh theme)

	Package version: 312000080

=== Xamarin.Android ===

Version: 5.0.99.288 (Trial Edition)
Android SDK: /Users/ixamarin78/Desktop/android-sdk-macosx
	Supported Android versions:
		2.3    (API level 10)
		4.0.3  (API level 15)
		4.1    (API level 16)
		4.2    (API level 17)
		4.3    (API level 18)
		4.4    (API level 19)
		4.4.87 (API level 20)
		5.0    (API level 21)
Java SDK: /usr
java version "1.8.0_25"
Java(TM) SE Runtime Environment (build 1.8.0_25-b17)
Java HotSpot(TM) 64-Bit Server VM (build 25.25-b02, mixed mode)

=== Apple Developer Tools ===

Xcode 6.2 (6758)
Build 6C107a

=== Xamarin.Mac ===

Version: 1.13.1.431 (Trial Edition)

=== Xamarin.iOS ===

Version: 8.6.3.7 (Trial Edition)
Hash: db5494b
Branch: 
Build date: 2015-03-04 15:23:04-0500

=== Build Information ===

Release ID: 507020008
Git revision: 64a4266f0a82f7558472383d8ae66a526b3b881d
Build date: 2015-02-25 11:22:12-05
Xamarin addins: 1cb443ca2dddd9933d748e035560f06cf9c246bd

=== Operating System ===

Mac OS X 10.10.0
Darwin XamnewiMac.local 14.0.0 Darwin Kernel Version 14.0.0
    Fri Sep 19 00:26:44 PDT 2014
    root:xnu-2782.1.97~2/RELEASE_X86_64 x86_64
Comment 2 John Miller [MSFT] 2015-03-12 13:20:46 UTC
Here is a screencast of how to reproduce this given the sample: http://screencast.com/t/iw7yINts
Comment 3 Sadik Ali 2015-03-13 01:34:40 UTC
I have checked this issue and getting same behaviour as mentioned in bug description.

XAP device log: https://gist.github.com/Arpit360/4a7c4efe57c1e3726762

Screencast: http://www.screencast.com/t/mRZZyvkJI

Environment Info:
Xamarin.Forms version: 1.3.4.6332 

=== Xamarin Studio ===

Version 5.8 (build 443)
Installation UUID: 3d25a767-a003-4a7d-9f5e-e57987cf6cf0
Runtime:
	Mono 3.12.1 ((detached/b7764aa)
	GTK+ 2.24.23 (Raleigh theme)

	Package version: 312010000

=== Xamarin.Android ===

Version: 4.20.0.37 (Enterprise Edition)
Android SDK: /Users/mac360_xamarin/Library/Developer/Xamarin/android-sdk-macosx
	Supported Android versions:
		2.1   (API level 7)
		2.2   (API level 8)
		2.3   (API level 10)
		3.1   (API level 12)
		4.0.3 (API level 15)
		4.4   (API level 19)
		5.0   (API level 21)
Java SDK: /usr
java version "1.7.0_71"
Java(TM) SE Runtime Environment (build 1.7.0_71-b14)
Java HotSpot(TM) 64-Bit Server VM (build 24.71-b01, mixed mode)

=== Xamarin Android Player ===

Version: Unknown version
Location: /Applications/Xamarin Android Player.app

=== Apple Developer Tools ===

Xcode 6.1 (6602)
Build 6A1052c

=== Xamarin.iOS ===

Version: 8.8.0.2 (Enterprise Edition)
Hash: ccfcd59
Branch: 
Build date: 2015-03-10 02:20:32-0400

=== Xamarin.Mac ===

Version: 1.10.0.21 (Enterprise Edition)

=== Build Information ===

Release ID: 508000443
Git revision: 73883239470cbe8e261c94d95f7c3d0452fd393b
Build date: 2015-03-10 07:22:51-04
Xamarin addins: a2ff7b617f09d9c45d8bbf3d010b5db0d7d36100

=== Operating System ===

Mac OS X 10.10.0
Darwin mac360-xamarins-Mac-mini.local 14.0.0 Darwin Kernel Version 14.0.0
    Fri Sep 19 00:26:44 PDT 2014
    root:xnu-2782.1.97~2/RELEASE_X86_64 x86_64
Comment 4 Rui Marinho 2015-05-21 04:41:55 UTC
Should be fixed in 1.4.3
Comment 5 Parmendra Kumar 2015-06-19 10:40:27 UTC
I have checked this issue with xamarin.forms.1.4.3.6364-pre3 and its working fine at my end.

Hence closing this issue.

Environment info:
Xamarin Studio 5.9.3 (build 1)
Mono 4.0.1 ((detached/ed1d3ec)
GTK+ 2.24.23 (Raleigh theme)
Package version: 400010044
Xcode 6.2 (6776)
Xamarin.iOS : 8.10.1.64 (Enterprise Edition)
Xamarin.Android : 5.1.3.1 (Enterprise Edition)
Mac OS X 10.9.4